package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Date: 2021/6/8.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TeacherClassRankResult implements Serializable {

    @ExcelProperty(name = "任课老师", width = 30, index = 3)
    private String teacherName;

    @ExcelProperty(name = "考查学院", width = 30, index = 2)
    private String inspectCollegeName;

    private String courseCode;

    private String courseName;

    @ExcelProperty(name = "开课学院", width = 30, index = 1)
    private String teachCollegeName;

    @ExcelProperty(name = "卷面平均分", width = 30, index = 4)
    private Double avgScore;

    @ExcelProperty(name = "最终平均分", width = 30, index = 5)
    private Double avgScoreAssign;

    @ExcelProperty(name = "考查学院院内排名", width = 50, index = 6)
    private Integer rank;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Double getAvgScoreAssign() {
        return avgScoreAssign;
    }

    public void setAvgScoreAssign(Double avgScoreAssign) {
        this.avgScoreAssign = avgScoreAssign;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }
}
